Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

# Class Party2Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_01.Party2Choice

public class Party2Choice extends Object

Java class for Party2Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Party2Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="OrgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}OrganisationIdentification2"/>
               <element name="PrvtId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}PersonIdentification3" maxOccurs="4"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected OrganisationIdentification2`
`orgId`
`protected List<PersonIdentification3>`
`prvtId`

## Constructor Summary

Constructors
Constructor
Description
`Party2Choice()`

## Method Summary

Modifier and Type
Method
Description
`OrganisationIdentification2`
`getOrgId()`
Gets the value of the orgId property.
`List<PersonIdentification3>`
`getPrvtId()`
Gets the value of the prvtId property.
`void`
`setOrgId(OrganisationIdentification2 value)`
Sets the value of the orgId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### orgId

protected OrganisationIdentification2 orgId

### prvtId

protected List<PersonIdentification3> prvtId

## Constructor Details

### Party2Choice

public Party2Choice()

## Method Details

### getOrgId

public OrganisationIdentification2 getOrgId()
Gets the value of the orgId property.

Returns:
  possible object is `OrganisationIdentification2`

### setOrgId

public void setOrgId(OrganisationIdentification2 value)
Sets the value of the orgId property.

Parameters:
  `value` - allowed object is `OrganisationIdentification2`

### getPrvtId

public List<PersonIdentification3> getPrvtId()
Gets the value of the prvtId property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prvtId property.

For example, to add a new item, do as follows:

        getPrvtId().add(newItem);

Objects of the following type(s) are allowed in the list `PersonIdentification3`